org.eclipse.gef.dot.internal.language.validation

## Class AbstractDotRectJavaValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.gef.dot.internal.language.validation.AbstractDotRectJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

Direct Known Subclasses:
  DotRectJavaValidator

    public class AbstractDotRectJavaValidator
    extends org.eclipse.xtext.validation.AbstractDeclarativeValidator

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`org.eclipse.xtext.validation.AbstractDeclarativeValidator.MethodWrapper, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

### Field Summary

### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

`INSIGNIFICANT_INDEX`

### Fields inherited from interface org.eclipse.emf.ecore.EValidator

`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotRectJavaValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<org.eclipse.emf.ecore.EPackage>` `getEPackages()`

### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, addIssue, addIssue, addIssue, addIssue, addIssue, addIssueToState, checkDone, checkIsFromCurrentlyCheckedResource, createDiagnostic, createDiagnostic, createMethodWrapper, error, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getIssueSeverities, getMessageAcceptor, guard, info, info, info, info, info, info, info, info, internalValidate, isIgnored, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning, warning`

### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotRectJavaValidator

    public AbstractDotRectJavaValidator()

### Method Detail

#### getEPackages

    protected List<org.eclipse.emf.ecore.EPackage> getEPackages()

Overrides:
  `getEPackages` in class `org.eclipse.xtext.validation.AbstractInjectableValidator`